iHackintosh

Jailbreak your iPhone

Downgrade iPhone Baseband from 02.30.03 to 02.28.00

Advertisements

The 2.2.1 firmware update contains a baseband firmware update (02.30.03) which is not compatible with yellowsn0w. Since many users can’t hold their horses and accidently upgraded their 3g phones to 2.21 update. The 2.2.1 update results as upgrade to firmware 02.30.03 And you may know, YellowSn0w only works on 2.28 baseband. Previously, those of you that upgraded to 2.2.1 could not use YellowSn0w. Now it’s possible to downgrade from baseband 02.30.03 to 02.28.00 due to Georze Hotz as he release a bs patch file to be applied to ICE2_02.28.00.fls allowing downgrades from 2.30.03 using BBUpdaterExtreme. By replacing the patched cert with your current run cert, you can downgrade from any other version. I know it’s bit complicated for us and we should follow Pedro Henrique Franceschi who developed a tool to Downgrade your iPhone Baseband from 02.30.03 to 02.28.00 based on Georze Hotz method. The tool is called pHaseBanDowngrader.

How to Check iPhone Baseband Version : The 3G Baseband Downgrade just works on iPhones 3G with Bootloader 5.8, that can be detected by this guide. If you don’t know how to use minicom, there’s a “simple” way to know if you are 5.8 or 5.9 (but this is not 100% sure). If your iPhone was manufactured before September (2008), you are 5.8. Otherwise, you are 5.9 (that can’t be downgraded). If your phone was 2.2.1 OOB you are on 5.9 or 6.2

Other Guides of Interest :

___________________________________________________________________________________________________                                       How to use pHaseBanDowngrader.

_____________________________________________________________________________________

Read First : To use this tool, you need to have an iPhone with the Bootloader 5.8. If your iPhone was manufactured before September 2008, you are 5.8. If your device is 2.2.1 OOB (Out Of Box), you can’t downgrade the Baseband because you have bootloader 5.9 and wait for Dev team release. For the peoples who have bootloader 5.8 follow the instruction given below.

  1. Download the pHaseBanDowngrader Version 1.0 Click Here.
  2. SSH into your iPhone and put the downloaded folder (phasebandowngrader) inside the folder /Applications/.
  3. In MobileTerminal.app, type “login” and enter “root” as user, the default password is “alpine”.
  4. Now, type “cd /Applications/phasebandowngrader && ./phasebandowngrader”. Follow the screen instructions.
  5. Enjoy Now the Yellowsn0w is suported Check our Guide on YellowSn0w Here.

___________________________________________________________________________________________________

                                                            3G BaseBand Downgrader.

_____________________________________________________________________________________

Ooops if SSH is also complicated to you don’t loose your heart Pedro, EvilPenguin and BigBoss released an automated GUI tool called 3G Baseband Downgrade {3GBBD}. This tool will help you to downgrade your iPhone 3G Baseband, from 02.30.03 to 02.28.00 (then, the Yellowsn0w is suported). The tool (3G Baseband Downgrade) is now on TheBigBoss repo. Just download it from Cydia, open the app and click Install >> Confirm.

         IMG_0006IMG_0007IMG_0008

If you have bootloader 5.9, this should not cause any harm. It should simply fail. You will then have to reboot your iPhone and should be back up to where you were before running the tool.

___________________________________________________________________________________________________

For the peoples who are on firmware 2.2 we have a guide how to Upgrade and Unlock iPhone 3G 2.2.1 Without upgrading Baseband from 02.30.03

_____________________________________________________________________________________

Pin It

Advertisements

Tags: 02.28.00, 02.30.03, Baseband Downgrade, iPhone 3G

Comments ( 3 )

Have Something To Say ?

  1. basil June 18, 2009 Reply

    oh please some one help me i made an update to my iphone and the bootloader 5.9 so icant downgrade the baseband now so please if some one have a fix please write to me .

    note: i tried every thing but no way so please help me now am using it just like ipod

  2. Diegogo May 6, 2009 Reply

    Les suplico me hagan saber cuando haya una actualizacion con bootloader 5.09, se que no falta mucho ya que tengo tiempo esperando y ademas confio en que ustedes muchachos seran la salvacion de quien como yo esta sufriendo con su iphone caro, un saludo fraternal!!!

  3. Dario Tobino April 28, 2009 Reply

    Hi people,

    I tried to downgrade a couple of 3G iPhones and it has worked very well.
    Is not so easy to find out where to put the files and you need to give them full access with code 0777.
    It’s true that you can’t downgrade the BBand when you have the last Bootloader.
    If anyone has news about the unlock for the last Bootloader, please, write me how to do! :-)

    Thank you from Italy.
    Greetings,
    Dario

    If you need help write me to this email:
    dario.tobino@gmail.com

Leave your comment here